<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><a class="el" href="classdlib_1_1shape__predictor__trainer.html">shape_predictor_trainer</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">dlib::shape_predictor_trainer Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classdlib_1_1shape__predictor__trainer.html">dlib::shape_predictor_trainer</a>, including all inherited members.</p>
<table class="directory">
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>_cascade_depth</b> (defined in <a class="el" href="classdlib_1_1shape__predictor__trainer.html">dlib::shape_predictor_trainer</a>)</td><td class="entry"><a class="el" href="classdlib_1_1shape__predictor__trainer.html">dlib::shape_predictor_trainer</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>_feature_pool_region_padding</b> (defined in <a class="el" href="classdlib_1_1shape__predictor__trainer.html">dlib::shape_predictor_trainer</a>)</td><td class="entry"><a class="el" href="classdlib_1_1shape__predictor__trainer.html">dlib::shape_predictor_trainer</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>_feature_pool_size</b> (defined in <a class="el" href="classdlib_1_1shape__predictor__trainer.html">dlib::shape_predictor_trainer</a>)</td><td class="entry"><a class="el" href="classdlib_1_1shape__predictor__trainer.html">dlib::shape_predictor_trainer</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>_lambda</b> (defined in <a class="el" href="classdlib_1_1shape__predictor__trainer.html">dlib::shape_predictor_trainer</a>)</td><td class="entry"><a class="el" href="classdlib_1_1shape__predictor__trainer.html">dlib::shape_predictor_trainer</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>_nu</b> (defined in <a class="el" href="classdlib_1_1shape__predictor__trainer.html">dlib::shape_predictor_trainer</a>)</td><td class="entry"><a class="el" href="classdlib_1_1shape__predictor__trainer.html">dlib::shape_predictor_trainer</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>_num_test_splits</b> (defined in <a class="el" href="classdlib_1_1shape__predictor__trainer.html">dlib::shape_predictor_trainer</a>)</td><td class="entry"><a class="el" href="classdlib_1_1shape__predictor__trainer.html">dlib::shape_predictor_trainer</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>_num_trees_per_cascade_level</b> (defined in <a class="el" href="classdlib_1_1shape__predictor__trainer.html">dlib::shape_predictor_trainer</a>)</td><td class="entry"><a class="el" href="classdlib_1_1shape__predictor__trainer.html">dlib::shape_predictor_trainer</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>_oversampling_amount</b> (defined in <a class="el" href="classdlib_1_1shape__predictor__trainer.html">dlib::shape_predictor_trainer</a>)</td><td class="entry"><a class="el" href="classdlib_1_1shape__predictor__trainer.html">dlib::shape_predictor_trainer</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>_tree_depth</b> (defined in <a class="el" href="classdlib_1_1shape__predictor__trainer.html">dlib::shape_predictor_trainer</a>)</td><td class="entry"><a class="el" href="classdlib_1_1shape__predictor__trainer.html">dlib::shape_predictor_trainer</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>_verbose</b> (defined in <a class="el" href="classdlib_1_1shape__predictor__trainer.html">dlib::shape_predictor_trainer</a>)</td><td class="entry"><a class="el" href="classdlib_1_1shape__predictor__trainer.html">dlib::shape_predictor_trainer</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>be_quiet</b>() (defined in <a class="el" href="classdlib_1_1shape__predictor__trainer.html">dlib::shape_predictor_trainer</a>)</td><td class="entry"><a class="el" href="classdlib_1_1shape__predictor__trainer.html">dlib::shape_predictor_trainer</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>be_verbose</b>() (defined in <a class="el" href="classdlib_1_1shape__predictor__trainer.html">dlib::shape_predictor_trainer</a>)</td><td class="entry"><a class="el" href="classdlib_1_1shape__predictor__trainer.html">dlib::shape_predictor_trainer</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>generate_split</b>(const std::vector&lt; training_sample &gt; &amp;samples, unsigned long begin, unsigned long end, const std::vector&lt; dlib::vector&lt; float, 2 &gt; &gt; &amp;pixel_coordinates, const matrix&lt; float, 0, 1 &gt; &amp;sum, matrix&lt; float, 0, 1 &gt; &amp;left_sum, matrix&lt; float, 0, 1 &gt; &amp;right_sum) const (defined in <a class="el" href="classdlib_1_1shape__predictor__trainer.html">dlib::shape_predictor_trainer</a>)</td><td class="entry"><a class="el" href="classdlib_1_1shape__predictor__trainer.html">dlib::shape_predictor_trainer</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>get_cascade_depth</b>() const (defined in <a class="el" href="classdlib_1_1shape__predictor__trainer.html">dlib::shape_predictor_trainer</a>)</td><td class="entry"><a class="el" href="classdlib_1_1shape__predictor__trainer.html">dlib::shape_predictor_trainer</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>get_feature_pool_region_padding</b>() const (defined in <a class="el" href="classdlib_1_1shape__predictor__trainer.html">dlib::shape_predictor_trainer</a>)</td><td class="entry"><a class="el" href="classdlib_1_1shape__predictor__trainer.html">dlib::shape_predictor_trainer</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>get_feature_pool_size</b>() const (defined in <a class="el" href="classdlib_1_1shape__predictor__trainer.html">dlib::shape_predictor_trainer</a>)</td><td class="entry"><a class="el" href="classdlib_1_1shape__predictor__trainer.html">dlib::shape_predictor_trainer</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>get_lambda</b>() const (defined in <a class="el" href="classdlib_1_1shape__predictor__trainer.html">dlib::shape_predictor_trainer</a>)</td><td class="entry"><a class="el" href="classdlib_1_1shape__predictor__trainer.html">dlib::shape_predictor_trainer</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>get_nu</b>() const (defined in <a class="el" href="classdlib_1_1shape__predictor__trainer.html">dlib::shape_predictor_trainer</a>)</td><td class="entry"><a class="el" href="classdlib_1_1shape__predictor__trainer.html">dlib::shape_predictor_trainer</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>get_num_test_splits</b>() const (defined in <a class="el" href="classdlib_1_1shape__predictor__trainer.html">dlib::shape_predictor_trainer</a>)</td><td class="entry"><a class="el" href="classdlib_1_1shape__predictor__trainer.html">dlib::shape_predictor_trainer</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>get_num_trees_per_cascade_level</b>() const (defined in <a class="el" href="classdlib_1_1shape__predictor__trainer.html">dlib::shape_predictor_trainer</a>)</td><td class="entry"><a class="el" href="classdlib_1_1shape__predictor__trainer.html">dlib::shape_predictor_trainer</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>get_oversampling_amount</b>() const (defined in <a class="el" href="classdlib_1_1shape__predictor__trainer.html">dlib::shape_predictor_trainer</a>)</td><td class="entry"><a class="el" href="classdlib_1_1shape__predictor__trainer.html">dlib::shape_predictor_trainer</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>get_random_seed</b>() const (defined in <a class="el" href="classdlib_1_1shape__predictor__trainer.html">dlib::shape_predictor_trainer</a>)</td><td class="entry"><a class="el" href="classdlib_1_1shape__predictor__trainer.html">dlib::shape_predictor_trainer</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>get_tree_depth</b>() const (defined in <a class="el" href="classdlib_1_1shape__predictor__trainer.html">dlib::shape_predictor_trainer</a>)</td><td class="entry"><a class="el" href="classdlib_1_1shape__predictor__trainer.html">dlib::shape_predictor_trainer</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>make_regression_tree</b>(std::vector&lt; training_sample &gt; &amp;samples, const std::vector&lt; dlib::vector&lt; float, 2 &gt; &gt; &amp;pixel_coordinates) const (defined in <a class="el" href="classdlib_1_1shape__predictor__trainer.html">dlib::shape_predictor_trainer</a>)</td><td class="entry"><a class="el" href="classdlib_1_1shape__predictor__trainer.html">dlib::shape_predictor_trainer</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>object_to_shape</b>(const full_object_detection &amp;obj, matrix&lt; float, 0, 1 &gt; &amp;shape, matrix&lt; float, 0, 1 &gt; &amp;present) (defined in <a class="el" href="classdlib_1_1shape__predictor__trainer.html">dlib::shape_predictor_trainer</a>)</td><td class="entry"><a class="el" href="classdlib_1_1shape__predictor__trainer.html">dlib::shape_predictor_trainer</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">private</span><span class="mlabel">static</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>partition_samples</b>(const impl::split_feature &amp;split, std::vector&lt; training_sample &gt; &amp;samples, unsigned long begin, unsigned long end) const (defined in <a class="el" href="classdlib_1_1shape__predictor__trainer.html">dlib::shape_predictor_trainer</a>)</td><td class="entry"><a class="el" href="classdlib_1_1shape__predictor__trainer.html">dlib::shape_predictor_trainer</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>populate_training_sample_shapes</b>(const std::vector&lt; std::vector&lt; full_object_detection &gt; &gt; &amp;objects, std::vector&lt; training_sample &gt; &amp;samples) const (defined in <a class="el" href="classdlib_1_1shape__predictor__trainer.html">dlib::shape_predictor_trainer</a>)</td><td class="entry"><a class="el" href="classdlib_1_1shape__predictor__trainer.html">dlib::shape_predictor_trainer</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>randomly_generate_split_feature</b>(const std::vector&lt; dlib::vector&lt; float, 2 &gt; &gt; &amp;pixel_coordinates) const (defined in <a class="el" href="classdlib_1_1shape__predictor__trainer.html">dlib::shape_predictor_trainer</a>)</td><td class="entry"><a class="el" href="classdlib_1_1shape__predictor__trainer.html">dlib::shape_predictor_trainer</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classdlib_1_1shape__predictor__trainer.html#a72fc0ae4f9ca56b9712acc95f9356f05">randomly_sample_pixel_coordinates</a>(std::vector&lt; dlib::vector&lt; float, 2 &gt; &gt; &amp;pixel_coordinates, const double min_x, const double min_y, const double max_x, const double max_y) const</td><td class="entry"><a class="el" href="classdlib_1_1shape__predictor__trainer.html">dlib::shape_predictor_trainer</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>randomly_sample_pixel_coordinates</b>(const matrix&lt; float, 0, 1 &gt; &amp;initial_shape) const (defined in <a class="el" href="classdlib_1_1shape__predictor__trainer.html">dlib::shape_predictor_trainer</a>)</td><td class="entry"><a class="el" href="classdlib_1_1shape__predictor__trainer.html">dlib::shape_predictor_trainer</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>rnd</b> (defined in <a class="el" href="classdlib_1_1shape__predictor__trainer.html">dlib::shape_predictor_trainer</a>)</td><td class="entry"><a class="el" href="classdlib_1_1shape__predictor__trainer.html">dlib::shape_predictor_trainer</a></td><td class="entry"><span class="mlabel">mutable</span><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>set_cascade_depth</b>(unsigned long depth) (defined in <a class="el" href="classdlib_1_1shape__predictor__trainer.html">dlib::shape_predictor_trainer</a>)</td><td class="entry"><a class="el" href="classdlib_1_1shape__predictor__trainer.html">dlib::shape_predictor_trainer</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>set_feature_pool_region_padding</b>(double padding) (defined in <a class="el" href="classdlib_1_1shape__predictor__trainer.html">dlib::shape_predictor_trainer</a>)</td><td class="entry"><a class="el" href="classdlib_1_1shape__predictor__trainer.html">dlib::shape_predictor_trainer</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>set_feature_pool_size</b>(unsigned long size) (defined in <a class="el" href="classdlib_1_1shape__predictor__trainer.html">dlib::shape_predictor_trainer</a>)</td><td class="entry"><a class="el" href="classdlib_1_1shape__predictor__trainer.html">dlib::shape_predictor_trainer</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>set_lambda</b>(double lambda) (defined in <a class="el" href="classdlib_1_1shape__predictor__trainer.html">dlib::shape_predictor_trainer</a>)</td><td class="entry"><a class="el" href="classdlib_1_1shape__predictor__trainer.html">dlib::shape_predictor_trainer</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>set_nu</b>(double nu) (defined in <a class="el" href="classdlib_1_1shape__predictor__trainer.html">dlib::shape_predictor_trainer</a>)</td><td class="entry"><a class="el" href="classdlib_1_1shape__predictor__trainer.html">dlib::shape_predictor_trainer</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>set_num_test_splits</b>(unsigned long num) (defined in <a class="el" href="classdlib_1_1shape__predictor__trainer.html">dlib::shape_predictor_trainer</a>)</td><td class="entry"><a class="el" href="classdlib_1_1shape__predictor__trainer.html">dlib::shape_predictor_trainer</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>set_num_trees_per_cascade_level</b>(unsigned long num) (defined in <a class="el" href="classdlib_1_1shape__predictor__trainer.html">dlib::shape_predictor_trainer</a>)</td><td class="entry"><a class="el" href="classdlib_1_1shape__predictor__trainer.html">dlib::shape_predictor_trainer</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>set_oversampling_amount</b>(unsigned long amount) (defined in <a class="el" href="classdlib_1_1shape__predictor__trainer.html">dlib::shape_predictor_trainer</a>)</td><td class="entry"><a class="el" href="classdlib_1_1shape__predictor__trainer.html">dlib::shape_predictor_trainer</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>set_random_seed</b>(const std::string &amp;seed) (defined in <a class="el" href="classdlib_1_1shape__predictor__trainer.html">dlib::shape_predictor_trainer</a>)</td><td class="entry"><a class="el" href="classdlib_1_1shape__predictor__trainer.html">dlib::shape_predictor_trainer</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>set_tree_depth</b>(unsigned long depth) (defined in <a class="el" href="classdlib_1_1shape__predictor__trainer.html">dlib::shape_predictor_trainer</a>)</td><td class="entry"><a class="el" href="classdlib_1_1shape__predictor__trainer.html">dlib::shape_predictor_trainer</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classdlib_1_1shape__predictor__trainer.html#af87d053b75f0df6b7ffdf000c7871a24">shape_predictor_trainer</a>()</td><td class="entry"><a class="el" href="classdlib_1_1shape__predictor__trainer.html">dlib::shape_predictor_trainer</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>train</b>(const image_array &amp;images, const std::vector&lt; std::vector&lt; full_object_detection &gt; &gt; &amp;objects) const (defined in <a class="el" href="classdlib_1_1shape__predictor__trainer.html">dlib::shape_predictor_trainer</a>)</td><td class="entry"><a class="el" href="classdlib_1_1shape__predictor__trainer.html">dlib::shape_predictor_trainer</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
